Plugin authors: Please deploy at semantic version tags or specific commits

(Matt Holt) #1

If your plugin builds fail on our build server (download page), please do a new deploy of your plugin at a specific semantic version tag or commit SHA if you have not already. If your plugin is currently deployed at a branch name or the default of origin/master, you will need to release it at a specific version tag such as v1.2.3. The build server no longer supports deploying from branches due to the switch to Go modules, which require a commit SHA or semantic version. (The instructions on the website have been updated to reflect this.)

This is the primary reason that several plugins failed to build after the switch to Go modules, and the fix is easy. Thanks to all who helped to find the solution! And thank you, plugin authors, for maintaining awesome Caddy plugins!

History:

3 Likes
Plugins having build issues as of 05/06/2019